module FlagIcon::Countries
  # ISO country codes to county name
  NAMES = {
    ab: "Abkhazia",
    ak: "Alaska",
    ad: "Andorra",
    ae: "United Arab Emirates",
    af: "Afghanistan",
    ag: "Antigua and Barbuda",
    ai: "Anguilla",
    al: "Albania",
    am: "Armenia",
    ao: "Angola",
    aq: "Antarctica",
    ar: "Argentina",
    as: "American Samoa",
    at: "Austria",
    au: "Australia",
    aw: "Aruba",
    ax: "Aland Islands",
    az: "Azerbaijan",
    ba: "Bosnia and Herzegovina",
    bb: "Barbados",
    bd: "Bangladesh",
    be: "Belgium",
    bf: "Burkina Faso",
    bg: "Bulgaria",
    bh: "Bahrain",
    bi: "Burundi",
    bj: "Benin",
    bl: "Saint Barthelemy",
    bm: "Bermuda",
    bn: "Brunei",
    bo: "Bolivia",
    bq: "Bonaire, Saint Eustatius and Saba ",
    br: "Brazil",
    bs: "Bahamas",
    bt: "Bhutan",
    bv: "Bouvet Island",
    bw: "Botswana",
    by: "Belarus",
    bz: "Belize",
    ca: "Canada",
    cc: "Cocos Islands",
    cd: "Democratic Republic of the Congo",
    cf: "Central African Republic",
    cg: "Republic of the Congo",
    ch: "Switzerland",
    ci: "Ivory Coast",
    ck: "Cook Islands",
    cl: "Chile",
    cm: "Cameroon",
    cn: "China",
    co: "Colombia",
    cr: "Costa Rica",
    cu: "Cuba",
    cv: "Cape Verde",
    cw: "Curacao",
    cx: "Christmas Island",
    cy: "Cyprus",
    cz: "Czech Republic",
    de: "Germany",
    dj: "Djibouti",
    dk: "Denmark",
    dm: "Dominica",
    do: "Dominican Republic",
    dz: "Algeria",
    ec: "Ecuador",
    ee: "Estonia",
    eg: "Egypt",
    eh: "Western Sahara",
    er: "Eritrea",
    es: "Spain",
    et: "Ethiopia",
    fi: "Finland",
    fj: "Fiji",
    fk: "Falkland Islands",
    fm: "Micronesia",
    fo: "Faroe Islands",
    fr: "France",
    ga: "Gabon",
    gb: "United Kingdom",
    gd: "Grenada",
    ge: "Georgia",
    gf: "French Guiana",
    gg: "Guernsey",
    gh: "Ghana",
    gi: "Gibraltar",
    gl: "Greenland",
    gm: "Gambia",
    gn: "Guinea",
    gp: "Guadeloupe",
    gq: "Equatorial Guinea",
    gr: "Greece",
    gs: "South Georgia and the South Sandwich Islands",
    gt: "Guatemala",
    gu: "Guam",
    gw: "Guinea-Bissau",
    gy: "Guyana",
    hk: "Hong Kong",
    hm: "Heard Island and McDonald Islands",
    hn: "Honduras",
    hr: "Croatia",
    ht: "Haiti",
    hu: "Hungary",
    id: "Indonesia",
    ie: "Ireland",
    il: "Israel",
    im: "Isle of Man",
    in: "India",
    io: "British Indian Ocean Territory",
    iq: "Iraq",
    ir: "Iran",
    is: "Iceland",
    it: "Italy",
    je: "Jersey",
    jm: "Jamaica",
    jo: "Jordan",
    jp: "Japan",
    ke: "Kenya",
    kg: "Kyrgyzstan",
    kh: "Cambodia",
    ki: "Kiribati",
    km: "Comoros",
    kn: "Saint Kitts and Nevis",
    kp: "North Korea",
    kr: "South Korea",
    kw: "Kuwait",
    ky: "Cayman Islands",
    kz: "Kazakhstan",
    la: "Laos",
    lb: "Lebanon",
    lc: "Saint Lucia",
    li: "Liechtenstein",
    lk: "Sri Lanka",
    lr: "Liberia",
    ls: "Lesotho",
    lt: "Lithuania",
    lu: "Luxembourg",
    lv: "Latvia",
    ly: "Libya",
    ma: "Morocco",
    mc: "Monaco",
    md: "Moldova",
    me: "Montenegro",
    mf: "Saint Martin",
    mg: "Madagascar",
    mh: "Marshall Islands",
    mk: "Macedonia",
    ml: "Mali",
    mm: "Myanmar",
    mn: "Mongolia",
    mo: "Macao",
    mp: "Northern Mariana Islands",
    mq: "Martinique",
    mr: "Mauritania",
    ms: "Montserrat",
    mt: "Malta",
    mu: "Mauritius",
    mv: "Maldives",
    mw: "Malawi",
    mx: "Mexico",
    my: "Malaysia",
    mz: "Mozambique",
    na: "Namibia",
    nc: "New Caledonia",
    ne: "Niger",
    nf: "Norfolk Island",
    ng: "Nigeria",
    ni: "Nicaragua",
    nl: "Netherlands",
    no: "Norway",
    np: "Nepal",
    nr: "Nauru",
    nu: "Niue",
    nz: "New Zealand",
    om: "Oman",
    pa: "Panama",
    pe: "Peru",
    pf: "French Polynesia",
    pg: "Papua New Guinea",
    ph: "Philippines",
    pk: "Pakistan",
    pl: "Poland",
    pm: "Saint Pierre and Miquelon",
    pn: "Pitcairn",
    pr: "Puerto Rico",
    ps: "Palestinian Territory",
    pt: "Portugal",
    pw: "Palau",
    py: "Paraguay",
    qa: "Qatar",
    re: "Reunion",
    ro: "Romania",
    rs: "Serbia",
    ru: "Russia",
    rw: "Rwanda",
    sa: "Saudi Arabia",
    sb: "Solomon Islands",
    sc: "Seychelles",
    sd: "Sudan",
    se: "Sweden",
    sg: "Singapore",
    sh: "Saint Helena",
    si: "Slovenia",
    sj: "Svalbard and Jan Mayen",
    sk: "Slovakia",
    sl: "Sierra Leone",
    sm: "San Marino",
    sn: "Senegal",
    so: "Somalia",
    sr: "Suriname",
    ss: "South Sudan",
    st: "Sao Tome and Principe",
    sv: "El Salvador",
    sx: "Sint Maarten",
    sy: "Syria",
    sz: "Swaziland",
    tc: "Turks and Caicos Islands",
    td: "Chad",
    tf: "French Southern Territories",
    tg: "Togo",
    th: "Thailand",
    tj: "Tajikistan",
    tk: "Tokelau",
    tl: "East Timor",
    tm: "Turkmenistan",
    tn: "Tunisia",
    to: "Tonga",
    tr: "Turkey",
    tt: "Trinidad and Tobago",
    tv: "Tuvalu",
    tw: "Taiwan",
    tz: "Tanzania",
    ua: "Ukraine",
    ug: "Uganda",
    um: "United States Minor Outlying Islands",
    us: "United States",
    uy: "Uruguay",
    uz: "Uzbekistan",
    va: "Vatican",
    vc: "Saint Vincent and the Grenadines",
    ve: "Venezuela",
    vg: "British Virgin Islands",
    vi: "U.S. Virgin Islands",
    vn: "Vietnam",
    vu: "Vanuatu",
    wf: "Wallis and Futuna",
    ws: "Samoa",
    xk: "Kosovo",
    ye: "Yemen",
    yt: "Mayotte",
    za: "South Africa",
    zm: "Zambia",
    zw: "Zimbabwe"
  }

  LANGUAGE_FLAGS = {
    ca: "es-ct",
    gl: "es-ga",
    eu: "es-eu",
    ar: "ae",
    fa: "af",
    en: "gb",
    al: "al",
    sq: "al",
    am: "am",
    hy: "am",
    es: "es",
    fr: "fr",
    de: "de",
    bn: "bd",
    dz: "bt",
    be: "by",
    cn: "cn",
    el: "gr",
    cs: "cz",
    da: "dk",
    et: "ee",
    aa: "er",
    fi: "fi",
    fo: "fo",
    ka: "ge",
    kl: "gl",
    zh: "hk",
    hr: "hr",
    ht: "ht",
    hu: "hu",
    id: "id",
    in: "in",
    hi: "in",
    ta: "in",
    te: "in",
    as: "in",
    gu: "in",
    kn: "in",
    mr: "in",
    pa: "in",
    sa: "in",
    is: "is",
    it: "it",
    ja: "jp",
    jp: "jp",
    ky: "kg",
    km: "kh",
    ko: "ko",
    kr: "ko",
    kk: "kz",
    lo: "la",
    si: "lk",
    lt: "lt",
    lb: "lu",
    lv: "lv",
    mo: "md",
    mg: "mg",
    mh: "mh",
    mk: "mk",
    ml: "ml",
    bm: "ml",
    my: "mm",
    mn: "mn",
    dv: "mv",
    ny: "mw",
    ms: "my",
    nl: "nl",
    no: "no",
    nb: "no",
    ne: "np",
    na: "nr",
    ur: "pk",
    pl: "pl",
    ro: "ro",
    sr: "rs",
    ru: "ru",
    rw: "rw",
    sv: "se",
    se: "se",
    so: "so",
    th: "th",
    tg: "tj",
    tl: "tl",
    pt: "pt",
    to: "to",
    tr: "tr",
    tvl: "tv",
    sw: "tz",
    uk: "ua",
    lg: "ug",
    uz: "uz",
    vi: "vn",
    bi: "vu",
    sm: "ws",
    zu: "za",
    bg: "bg",
    cy: "gb-wls",
    he: "il",
    yi: "il",
    ig: "ng",
    ik: "ak",
    ln: "cd",
    sk: "sk",
    sl: "si",
    wo: "sn",
    ak: "gh",
    ab: "ab",
    xx: "xx",
  }

  # language code to language name
  LANGUAGES = {
    "ak": "Akan",
    "ig": "Igbo",
    "ab": "Abkhazian",
    "aa": "Afar",
    "af": "Afrikaans",
    "al": "Albanian",
    "sq": "Albanian",
    "am": "Amharic",
    "ar": "Arabic",
    "hy": "Armenian",
    "as": "Assamese",
    "ay": "Aymara",
    "az": "Azerbaijani",
    "ba": "Bashkir",
    "eu": "Basque",
    "bn": "Bengali (Bangla)",
    "dz": "Bhutani",
    "bh": "Bihari",
    "bi": "Bislama",
    "br": "Breton",
    "bg": "Bulgarian",
    "my": "Burmese",
    "bm": "Bambara",
    "be": "Byelorussian (Belarusian)",
    "km": "Cambodian",
    "ca": "Catalan",
    "cn": "Chinese",
    "zh": "Chinese (Traditional)",
    "co": "Corsican",
    "hr": "Croatian",
    "cs": "Czech",
    "da": "Danish",
    "nl": "Dutch",
    "en": "English",
    "eo": "Esperanto",
    "et": "Estonian",
    "fo": "Faeroese",
    "fa": "Farsi",
    "fj": "Fiji",
    "fi": "Finnish",
    "fr": "French",
    "fy": "Frisian",
    "gl": "Galician",
    "gd": "Gaelic (Scottish)",
    "gv": "Gaelic (Manx)",
    "ka": "Georgian",
    "de": "German",
    "el": "Greek",
    "kl": "Greenlandic",
    "gn": "Guarani",
    "gu": "Gujarati",
    "ha": "Hausa",
    "he": "Hebrew",
    "in": "Hindi",
    "hi": "Hindi",
    "ht": "Haitian",
    "hu": "Hungarian",
    "is": "Icelandic",
    "id": "Indonesian",
    "ia": "Interlingua",
    "ie": "Interlingue",
    "iu": "Inuktitut",
    "ik": "Inupiak",
    "ga": "Irish",
    "it": "Italian",
    "ja": "Japanese",
    "jp": "Japanese",
    "kn": "Kannada",
    "ks": "Kashmiri",
    "kk": "Kazakh",
    "rw": "Kinyarwanda (Ruanda)",
    "ky": "Kirghiz",
    "rn": "Kirundi (Rundi)",
    "ko": "Korean",
    "kr": "Korean",
    "ku": "Kurdish",
    "lo": "Laothian",
    "la": "Latin",
    "lv": "Latvian (Lettish)",
    "li": "Limburgish ( Limburger)",
    "ln": "Lingala",
    "lt": "Lithuanian",
    "lb": "Luxembourgish",
    "mk": "Macedonian",
    "mg": "Malagasy",
    "ms": "Malay",
    "ml": "Malayalam",
    "mt": "Maltese",
    "mi": "Maori",
    "mr": "Marathi",
    "mo": "Moldavian",
    "mn": "Mongolian",
    "mh": "Marshallese",
    "dv": "Divehi",
    "ny": "Chichewa",
    "na": "Nauru",
    "ne": "Nepali",
    "no": "Norwegian",
    "nb": "Bokmål",
    "oc": "Occitan",
    "or": "Oriya",
    "om": "Oromo (Afan, Galla)",
    "ps": "Pashto (Pushto)",
    "pl": "Polish",
    "pt": "Portuguese",
    "pa": "Punjabi",
    "qu": "Quechua",
    "rm": "Rhaeto-Romance",
    "ro": "Romanian",
    "ru": "Russian",
    "sm": "Samoan",
    "sg": "Sangro",
    "sa": "Sanskrit",
    "sr": "Serbian",
    "sh": "Serbo-Croatian",
    "st": "Sesotho",
    "tn": "Setswana",
    "sn": "Shona",
    "sd": "Sindhi",
    "si": "Sinhalese",
    "ss": "Siswati",
    "sk": "Slovak",
    "sl": "Slovenian",
    "so": "Somali",
    "lg": "Ganda",
    "es": "Spanish",
    "su": "Sundanese",
    "sw": "Swahili (Kiswahili)",
    "sv": "Swedish",
    "se": "Swedish",
    "tl": "Tagalog",
    "tg": "Tajik",
    "ta": "Tamil",
    "tt": "Tatar",
    "te": "Telugu",
    "th": "Thai",
    "bo": "Tibetan",
    "ti": "Tigrinya",
    "to": "Tonga",
    "ts": "Tsonga",
    "tr": "Turkish",
    "tk": "Turkmen",
    "tw": "Twi",
    "tvl": "Tuvalu",
    "ug": "Uighur",
    "uk": "Ukrainian",
    "ur": "Urdu",
    "uz": "Uzbek",
    "vi": "Vietnamese",
    "vo": "Volapük",
    "cy": "Welsh",
    "wo": "Wolof",
    "xh": "Xhosa",
    "yi": "Yiddish",
    "yo": "Yoruba",
    "zu": "Zulu",
    "xx": "Unknown"
  }
end